<div id="content">
  <h1 class="text-primary">Registration</h1>

  <form novalidate [formGroup]="signup" (ngSubmit)="submit()">

    <div class="form-group">
      <label for="name">Name</label>
      <input type="text" id="name" formControlName="name" class="form-control" placeholder="Enter your full name">
      <small class="form-text text-danger" *ngIf="signup.controls['name'].invalid && signup.controls['name'].touched">
        At least 3 characters
      </small>
    </div>

    <div class="form-group">
      <label for="email">Email</label>
      <input type="email" id="email" formControlName="email" class="form-control" placeholder="Enter your email address">
      <small class="form-text text-danger" *ngIf="signup.controls['email'].invalid && signup.controls['email'].touched">
        Must be a valid email address
      </small>
    </div>

    <div class="form-group">
      <label for="email">Address</label>
      <input type="text" id="address" formControlName="address" class="form-control" placeholder="Enter your address">
      <small class="form-text text-danger" *ngIf="signup.controls['address'].invalid && signup.controls['address'].touched">
        At least 5 characters
      </small>
    </div>

    <button type="submit" class="btn btn-success" [disabled]="signup.invalid">
      Please, sign me up
    </button>
  </form>

  <hr/>
  <small>DEBUG</small>
  <pre>{{signup.value | json}}</pre>

</div>

<div id="notification" class="alert alert-success" *ngIf="notificationMessage">
  {{notificationMessage}}
</div>

